﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ProgrammezLucene.Indexer
{
    /// <summary>
    /// Programme permettant d'indexer les données
    /// </summary>
    class Program
    {
        /// <summary>
        /// Point d'entrée du programme d'indexation
        /// </summary>
        /// <param name="args">Arguments passés au programme</param>
        static void Main(string[] args)
        {
            try
            {
                //Démarre l'indexation
                AdventureWorksIndexer indexer = new AdventureWorksIndexer();
                indexer.Index();
                Console.WriteLine("Completed!");
            }
            catch (Exception ex)
            {
                Console.WriteLine(ex.Message);
            }

            Console.ReadLine();
        }
    }
}
